TAAS - Feature #129

Document Reversal
02/02/2023 02:34 PM - Anil KV

Status: Reopen Bugs Start date: 02/27/2023
Priority: Normal Due date:

Assignee: Baseem Shan % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Document Reversal

Description

Coding Document Reversal

History

#1 - 02/02/2023 02:39 PM - Anil KV

- Module changed from Journal to Document Reversal

#2 - 02/27/2023 09:38 AM - Junaid M
- File SQL-DOC-REVERSAL.sql added

#3 - 02/27/2023 12:14 PM - Junaid M

- Assignee changed from Junaid M to Aparna Mathew

#4 - 02/27/2023 02:02 PM - Aparna Mathew

- Status changed from New to Coding Started

- Start date changed from 02/02/2023 to 02/27/2023
- % Done changed from 0 to 40

#5 - 03/01/2023 09:40 AM - Junaid M
- File SQL-NEW-DOC-REVERSAL.sql added

#6 - 03/16/2023 05:21 PM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#7 - 03/27/2023 05:52 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Fix error while Save/Update

2.Use dd/mm/yyyy format on grid - popup

3.Fix bugs on OK button

(OK button become disable- after Delete function )

#8 - 04/04/2023 10:02 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 04/04/2023 06:40 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Error from Ts. While update

2.Set validations on date picker - date range

3.Fix bugs on document number input box - GUI & Popup
(while typing on popup it will entering both input box )
4.Fix bugs on grid- Popup

(show Doc no & Reversed Doc no in seperate columns)
5.Change Label & Icon on button

( Popup- "back" button change to "Close")

6.Fix bugs while while save -

(selected/checked item missing)

#10 - 07/06/2023 12:56 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 09/06/2023 03:14 PM - unnikannan S

- Tested By changed from Amal Cyriac to unnikannan S

#Restrict Non Posting Documents Appearing In Document Reversal Search List

#12 - 09/08/2023 03:14 PM - unnikannan S
TESTING DONE

#13 - 09/25/2023 05:26 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED****

1.NOT CLEARING DOCUMENT NO WHILE CLICKING NEW TAB
#14 - 09/26/2023 09:47 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 10/13/2023 12:43 PM - unnikannan S
TESTING DONE

#16 - 10/19/2023 03:25 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.OK BUTTON IN Ul NOT WORKING

#17 - 10/20/2023 05:29 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 10/21/2023 11:15 AM - unnikannan S
TESTING DONE
#19 - 12/12/2023 10:50 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.NO CHANGE IN TRANSACTION REPORTS OF REVERSED DOCUMENTS
#20 - 12/12/2023 06:35 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#21 - 12/13/2023 09:54 AM - unnikannan S
TESTING DONE

#22 - 01/16/2024 03:36 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ERROR WHILE SAVING DOCUMENT THAT REVERSAL DOCUMENT WAS ALREADY DELETED

2.ADD VALIDATION FOR ADDING FUTURE YEAR
3.NO DATA WHILE REDIRECTING FROM DOC SEARCH

4.SHOWING LEDGER ACCOUNT ADM/ACM ADJUSTMENT ON USER/EMPLOYEE FIELD OF SEARCH POP UP

#23 - 01/19/2024 09:41 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#24 - 01/19/2024 10:25 AM - unnikannan S
TESTING DONE

#25 - 02/16/2024 11:04 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Changes

1. Combine merge root doc transaction with reversal document
2. Delete Root Document
4. Move Stored Procedure to Cs (Transaction Building)

#26 - 02/21/2024 04:35 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 02/22/2024 11:50 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.BLOCK REVERSAL OF SETTLED DOC

#28 - 02/23/2024 06:17 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
#29 - 02/27/2024 12:02 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ERROR IN SAVE Cannot read properties of undefined (reading 'binDocumentld')
2.DONT ALLOW TO REVERSE ALREADY REVERSED DOCUMENT

#30 - 02/28/2024 01:11 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#31 - 02/29/2024 04:52 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.ERROR IN SAVE BUTTON
#32 - 03/01/2024 04:02 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#33 - 03/01/2024 05:03 PM - unnikannan S
TESTING DONE

#34 - 03/05/2024 02:47 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED
1.BLOCK SETTLED DOC REVERSALING
#35 - 03/05/2024 06:19 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 03/06/2024 10:13 AM - unnikannan S
TESTING DONE

#37 - 03/25/2024 11:55 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.DUPLICATION OF DELETED DOCUMENT AS DIFFERENT REVERSAL DOCS

#38 - 09/20/2024 10:11 AM - Arathy PS
ISSUE FOUND

Documents that are already submitted can also be reversed

#39 - 09/20/2024 10:13 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 10/14/2024 03:23 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#41 - 10/14/2024 03:58 PM - unnikannan S
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUNDED

1.Connect Print

#42 - 10/21/2024 12:40 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#43 - 11/07/2024 06:15 PM - Junaid M
NEW CHANGES

1. Change Delete mechanism

For delete a document in document reversal. Call/Use individual delete api of corresponding document.
Reason: There are many validations written already in delete Fn. we need to reuse that aswell.

#44 - 11/07/2024 06:15 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

#45 - 11/20/2024 09:58 AM - Aparna Mathew
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70

#46 - 12/02/2024 07:34 PM - unnikannan S

- File clipboard-202412021934-oqrea.png added

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#47 - 12/03/2024 10:52 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#48 - 12/07/2024 05:37 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Save Not Working

#49 - 12/10/2024 10:26 AM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#50 - 01/02/2025 03:38 PM - Arathy PS

- Assignee changed from Aparna Mathew to Baseem Shan
#51 - 01/24/2025 02:44 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. While using documents that have cheque or cards as FOP no message is showing while saving them but its entering in the table.
--while cheque based document can be saved again and again even after reloading cards after reloading go to one of the saved document in edit
mode without any message.

Files

SQL-DOC-REVERSAL.sql 1.26 KB 02/27/2023 Junaid M
SQL-NEW-DOC-REVERSAL.sql 378 Bytes 03/01/2023 Junaid M
clipboard-202412021934-oqrea.png 92.8 KB 12/02/2024 unnikannan S
